<!-- Next prev page -->
{{ $currentNode := . }}

{{ template "menu-nextprev" dict "menu" .Site.Home "currentnode" $currentNode }}

{{ define "menu-nextprev" }}
	{{$currentNode := .currentnode }}
	{{ if ne .menu.Params.hidden true}}
		{{if hasPrefix $currentNode.URL .menu.URL }}
			{{ $currentNode.Scratch.Set "NextPageOK" "OK" }}
			{{ $currentNode.Scratch.Set "prevPage" ($currentNode.Scratch.Get "prevPageTmp") }}
		{{else}}
			{{if eq ($currentNode.Scratch.Get "NextPageOK") "OK"}}
				{{ $currentNode.Scratch.Set "NextPageOK" nil }}
				{{ $currentNode.Scratch.Set "nextPage" .menu }}
			{{end}}
		{{end}}

		{{ $currentNode.Scratch.Set "prevPageTmp" .menu }}

			{{ $currentNode.Scratch.Set "pages" .menu.Pages }}
			{{ if .menu.IsHome}}
				{{ $currentNode.Scratch.Set "pages" .menu.Sections }}
			{{ else if .menu.Sections}}
				{{ $currentNode.Scratch.Set "pages" (.menu.Pages | union .menu.Sections) }}
			{{end}}
			{{ $pages := ($currentNode.Scratch.Get "pages") }}

			{{ range $pages.ByWeight  }}
				{{ template "menu-nextprev" dict "menu" . "currentnode" $currentNode }}
			{{end}}
	{{ end }}
{{ end }}

{{with ($.Scratch.Get "prevPage")}}
		<a class="black link nav-prev ph2" href="{{.URL}}" title="{{.Title}}">&larr; Forrige</a>
{{end}}
{{with ($.Scratch.Get "nextPage")}}
		<a class="black link nav-next ph2" href="{{.URL}}" title="{{.Title}}">Næste &rarr;</a>
{{end}}
